## org.eclipse.wst.server.core.util
Class WebResource

    java.lang.Object
      org.eclipse.wst.server.core.model.ModuleArtifactDelegate
          org.eclipse.wst.server.core.util.WebResource

All Implemented Interfaces:
  IModuleArtifact

    public class WebResource

extends ModuleArtifactDelegate

A Web module resource.

Since:
  1.0

Constructor Summary
`WebResource()`
`WebResource(IModule module, IPath path)` Create a new reference to a Web resource (HTML, GIF, etc. on a server).

Method Summary
`void` `deserialize(java.lang.String s)` Deserialize this object from a serialized string.
`java.lang.String` `getName()` Returns a user-presentable name for this artifact.
`IPath` `getPath()` Return the relative path to the artifact within the module.
`java.lang.String` `serialize()` Serialize this object into a string.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.wst.server.core.model.ModuleArtifactDelegate
`getModule`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebResource

    public WebResource(IModule module,
                       IPath path)

  Create a new reference to a Web resource (HTML, GIF, etc. on a server).

  Parameters:
    `module` - a module
    `path` - a relative path within the module

### WebResource

    public WebResource()

Method Detail

### getPath

    public IPath getPath()

  Return the relative path to the artifact within the module.

  Returns:
    the relative path

### getName

    public java.lang.String getName()

  Description copied from class: `ModuleArtifactDelegate`
  Returns a user-presentable name for this artifact.

  Specified by:
    `getName` in class `ModuleArtifactDelegate`
  Returns:
    a user-presentable name

### deserialize

    public void deserialize(java.lang.String s)

  Description copied from class: `ModuleArtifactDelegate`
  Deserialize this object from a serialized string.

  Overrides:
    `deserialize` in class `ModuleArtifactDelegate`
  Parameters:
    `s` - a serialized string.

### serialize

    public java.lang.String serialize()

  Description copied from class: `ModuleArtifactDelegate`
  Serialize this object into a string.

  Overrides:
    `serialize` in class `ModuleArtifactDelegate`
  Returns:
    a serialized string

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`